<?php
/*
Plugin Name: 	Flot for WordPress
Plugin URI: 	http://www.creativecontentexperts.com/cce/flot-for-wp
Description: 	Flot for WordPress is a plugin to help you get beautiful 
				graphs onto your site with ease. This is not an "install
				and you're done" plugin. You will have to add your own
				data using whatever method you like - PHP, JS, etc. 
				Reference the ReadMe file and the Plugin URI for details
				on how to implement Flot for WordPress.
				This plugin is based upon the original Flot graphing
				library, which can be found at www.flotcharts.org
Version: 		1.0
Author: 		@jphornor and @tarahornor
Author URI:		http://www.creativecontentexperts.com 
License: 		GPL3
*/

add_action('init', 'flot_for_wp');

function flot_for_wp() {
	wp_deregister_script( 'flot' );
	wp_register_script('flot', plugins_url('flot-for-wp/flot/jquery.flot.min.js', __FILE__), array("jquery", "jquery-ui-core", "excanvas" ), '0.7.0');
	wp_enqueue_script('flot');

} 

/*	
Here's where you add your custom files for pulling and adding data 
Remember that you can NOT use a URL to point to any files you want to
include. You have to use a PATH. So you can stick these files anywhere
you want in your WP install, just use a PATH to point to them.
The plugin_dir_path call will use a PATH from the WP wp-content/plugins
folder: http://codex.wordpress.org/Function_Reference/plugin_dir_path
*/
include ( plugin_dir_path( __FILE__ ) . 'flot/flot-example.php');

?>